package com.sambath.kunkhmer.app

import com.sambath.kunkhmer.remote.CurrentBetting
import com.sambath.kunkhmer.remote.ListItem
import com.sambath.kunkhmer.remote.Result
import com.sambath.kunkhmer.util.Event

data class ShareViewState(
    val initial: Boolean = true,
    val isProgress: Boolean = false,
    val error: String? = null,
    val myBettingId: String?=null,
    val myBettingList: MutableList<ListItem> ?= null,
    val result: Result?= null,
    val nextNo: String ?= null,
    val accountBalance: String ?= null,
    var currentBetting: CurrentBetting?= null,
    val isAutoPrint: Event<Boolean>? = null
)