package com.sambath.kunkhmer.remote

import com.squareup.moshi.Json
import com.squareup.moshi.JsonClass

@JsonClass(generateAdapter = true)
class UpdatePwdRequest(
    @Json(name = "user_name")
    val username: String,
    @Json(name = "password")
    val password: String
)
@JsonClass(generateAdapter = true)
data class UpdatePwdResponse(

    @Json(name = "code")
    val resultCode: String,
    @Json(name = "message")
    val message: LoginMessage,

)
@JsonClass(generateAdapter = true)
data class UpdatePwdMessage(
    @Json(name="code")
    val code: String,

    @Json(name="descriptions")
    val description: String,
)

